Functions
FLAG_Management
Peripheral Driver » LL Driver » PWR » PWR Exported Functions

## Functions
__STATIC_INLINE uint32_t | ll_pwr_get_ext_wakeup_status (void)
| Get the External Wake Up Status. More...
__STATIC_INLINE void | ll_pwr_clear_ext_wakeup_status (uint32_t wakeup_pin)
| Clear the External Wake Up Status. More...
__STATIC_INLINE void | ll_pwr_clear_wakeup_event (uint32_t event)
| Clear the Event that triggered the DeepSleep WakeUp. More...
__STATIC_INLINE uint32_t | ll_pwr_is_active_flag_comm_deep_sleep_stat (void)
| Indicate if the Communication Core is in Deep Sleep Mode. More...
__STATIC_INLINE void | ll_pwr_disable_cache_module (void)
| Disable cache function. More...
__STATIC_INLINE void | ll_pwr_set_dcdc_prepare_timing (uint32_t value)
| Set DCDC prepare timing. More...
__STATIC_INLINE void | ll_pwr_set_dig_ldo_prepare_timing (uint32_t value)
| Set digtal LDO prepare timing. More...
__STATIC_INLINE void | ll_pwr_set_fast_ldo_prepare_timing (uint32_t value)
| Set fast LDO prepare timing. More...
__STATIC_INLINE void | ll_pwr_set_hf_osc_prepare_timing (uint32_t value)
| Set HF OSC prepare timing. More...
__STATIC_INLINE void | ll_pwr_set_pll_lock_timing (uint32_t value)
| Set PLL lock prepare timing. More...
__STATIC_INLINE void | ll_pwr_set_pll_prepare_timing (uint32_t value)
| Set PLL prepare timing. More...
__STATIC_INLINE void | ll_pwr_set_pwr_switch_prepare_timing (uint32_t value)
| Set power switch prepare timing. More...
__STATIC_INLINE void | ll_pwr_set_xo_prepare_timing (uint32_t value)
| Set Set XO prepare timing. More...
__STATIC_INLINE void | ll_pwr_set_pwr_mode (uint32_t value)
| ll_pwr_set_pwr_mode More...
__STATIC_INLINE void | ll_pwr_turn_off_enable_xo_pll_after_dcdc_ready (void)
| Turn off enable xo/pll in warm boot. More...
__STATIC_INLINE void | ll_pwr_turn_on_enable_xo_pll_after_dcdc_ready (void)
| Turn on enable xo/pll in srpg. More...
__STATIC_INLINE void | ll_pwr_enable_aon_irq (uint32_t condition)
| Set the AON IRQ Condition. More...
__STATIC_INLINE void | ll_pwr_disable_aon_irq (uint32_t condition)
| clear the AON IRQ Condition More...
__STATIC_INLINE void | ll_pwr_clear_aon_irq_event (uint32_t condition)
| Clear the AON IRQ EVENT. More...

## Detailed Description

## Function Documentation

## ◆ ll_pwr_clear_aon_irq_event()

__STATIC_INLINE void ll_pwr_clear_aon_irq_event | ( | uint32_t | condition | ) |

Clear the AON IRQ EVENT.

Register|BitsName --------|-------- AON_IRQ | AON_IRQ

Parameters

  condition | This parameter can be one of the following values: LL_PWR_AON_IRQ_EVT_BLE_PWR_ON LL_PWR_AON_IRQ_EVT_BLE_PWR_DN LL_PWR_AON_IRQ_EVT_BOD_RISE LL_PWR_AON_IRQ_EVT_CPLL_DN LL_PWR_AON_IRQ_EVT_BOD_FALL LL_PWR_AON_IRQ_EVT_BLE_MAC LL_PWR_AON_IRQ_EVT_SLP_FAIL LL_PWR_AON_IRQ_EVT_ALL

Return values

  None |

Definition at line 1167 of file ll_pwr.h.

References AON_CTL.

## ◆ ll_pwr_clear_ext_wakeup_status()

__STATIC_INLINE void ll_pwr_clear_ext_wakeup_status | ( | uint32_t | wakeup_pin | ) |

Clear the External Wake Up Status.

Register|BitsName --------|-------- EXT_WAKEUP_STAT | EXT_WKUP_STATUS

Parameters

  wakeup_pin | This parameter can be a combination of the following values: LL_PWR_EXTWKUP_PIN0 LL_PWR_EXTWKUP_PIN1 LL_PWR_EXTWKUP_PIN2 LL_PWR_EXTWKUP_PIN3 LL_PWR_EXTWKUP_PIN4 LL_PWR_EXTWKUP_PIN5 LL_PWR_EXTWKUP_PIN6 LL_PWR_EXTWKUP_PIN7 LL_PWR_EXTWKUP_PIN_ALL

Return values

  None |

Definition at line 880 of file ll_pwr.h.

References AON_CTL.

## ◆ ll_pwr_clear_wakeup_event()

__STATIC_INLINE void ll_pwr_clear_wakeup_event | ( | uint32_t | event | ) |

Clear the Event that triggered the DeepSleep WakeUp.

Register|BitsName --------|-------- AON_SLEEP_EVENT | AON_SLEEP_EVENT

Parameters

  event | This parameter can be a combination of the following values: LL_PWR_WKUP_EVENT_BLE LL_PWR_WKUP_EVENT_TIMER LL_PWR_WKUP_EVENT_EXT LL_PWR_WKUP_EVENT_COMP_RISE LL_PWR_WKUP_EVENT_COMP_FALL LL_PWR_WKUP_EVENT_WDT LL_PWR_WKUP_EVENT_CLDR

Return values

  None |

Definition at line 902 of file ll_pwr.h.

References AON_CTL, and LL_PWR_WKUP_EVENT_ALL.

## ◆ ll_pwr_disable_aon_irq()

__STATIC_INLINE void ll_pwr_disable_aon_irq | ( | uint32_t | condition | ) |

clear the AON IRQ Condition

Register|BitsName --------|-------- AON_IRQ_EN | AON_IRQ_EN

Parameters

  condition | This parameter can be one of the following values: LL_PWR_AON_IRQ_EN_BLE_PWR_ON LL_PWR_AON_IRQ_EN_BLE_PWR_DN LL_PWR_AON_IRQ_EN_BOD_RISE LL_PWR_AON_IRQ_EN_CPLL_DN LL_PWR_AON_IRQ_EN_BOD_FALL LL_PWR_AON_IRQ_EN_BLE_MAC LL_PWR_AON_IRQ_EN_SLP_FAIL LL_PWR_AON_IRQ_EN_ALL

Return values

  None |

Definition at line 1144 of file ll_pwr.h.

References AON_CTL.

## ◆ ll_pwr_disable_cache_module()

__STATIC_INLINE void ll_pwr_disable_cache_module | ( | void |  | ) |

Disable cache function.

Note
  The cache should be closed before chip go to deepsleep.

Register|BitsName --------|-------- CACHE.CTRL0 |EN

Return values

  None |

Definition at line 932 of file ll_pwr.h.

## ◆ ll_pwr_enable_aon_irq()

__STATIC_INLINE void ll_pwr_enable_aon_irq | ( | uint32_t | condition | ) |

Set the AON IRQ Condition.

Register|BitsName --------|-------- AON_IRQ_EN | AON_IRQ_EN

Parameters

  condition | This parameter can be one of the following values: LL_PWR_AON_IRQ_EN_BLE_PWR_ON LL_PWR_AON_IRQ_EN_BLE_PWR_DN LL_PWR_AON_IRQ_EN_BOD_RISE LL_PWR_AON_IRQ_EN_CPLL_DN LL_PWR_AON_IRQ_EN_BOD_FALL LL_PWR_AON_IRQ_EN_BLE_MAC LL_PWR_AON_IRQ_EN_SLP_FAIL LL_PWR_AON_IRQ_EN_ALL

Return values

  None |

Definition at line 1121 of file ll_pwr.h.

References AON_CTL.

## ◆ ll_pwr_get_ext_wakeup_status()

__STATIC_INLINE uint32_t ll_pwr_get_ext_wakeup_status | ( | void |  | ) |

Get the External Wake Up Status.

Note
  0 means not waked up and 1 means waked up.

Register|BitsName --------|-------- EXT_WAKEUP_STAT | EXT_WKUP_STATUS

Return values

  Returned | value can be a combination of the following values: LL_PWR_EXTWKUP_PIN0 LL_PWR_EXTWKUP_PIN1 LL_PWR_EXTWKUP_PIN2 LL_PWR_EXTWKUP_PIN3 LL_PWR_EXTWKUP_PIN4 LL_PWR_EXTWKUP_PIN5 LL_PWR_EXTWKUP_PIN6 LL_PWR_EXTWKUP_PIN7 LL_PWR_EXTWKUP_PIN_ALL

Definition at line 856 of file ll_pwr.h.

References AON_CTL.

## ◆ ll_pwr_is_active_flag_comm_deep_sleep_stat()

__STATIC_INLINE uint32_t ll_pwr_is_active_flag_comm_deep_sleep_stat | ( | void |  | ) |

Indicate if the Communication Core is in Deep Sleep Mode.

Note
  When Communication Core is in Deep Sleep Mode, only low_power_clk is running.

Register|BitsName --------|-------- COMM_CTRL | COMM_DEEPSLCNTL_DEEP_SLEEP_STAT

Return values

  State | of bit (1 or 0).

Definition at line 917 of file ll_pwr.h.

References AON_CTL.

## ◆ ll_pwr_set_dcdc_prepare_timing()

__STATIC_INLINE void ll_pwr_set_dcdc_prepare_timing | ( | uint32_t | value | ) |

Set DCDC prepare timing.

Register|BitsName --------|-------- AON_PWR | DCDC

Parameters

  value | setting value.

Return values

  None |

Definition at line 948 of file ll_pwr.h.

## ◆ ll_pwr_set_dig_ldo_prepare_timing()

__STATIC_INLINE void ll_pwr_set_dig_ldo_prepare_timing | ( | uint32_t | value | ) |

Set digtal LDO prepare timing.

Register|BitsName --------|-------- A_TIMING_CTRL0 | DIG_LDO

Parameters

  value | setting value.

Return values

  None |

Definition at line 963 of file ll_pwr.h.

## ◆ ll_pwr_set_fast_ldo_prepare_timing()

__STATIC_INLINE void ll_pwr_set_fast_ldo_prepare_timing | ( | uint32_t | value | ) |

Set fast LDO prepare timing.

Register|BitsName --------|-------- A_TIMING_CTRL1 | FAST_LDO

Parameters

  value | setting value.

Return values

  None |

Definition at line 979 of file ll_pwr.h.

## ◆ ll_pwr_set_hf_osc_prepare_timing()

__STATIC_INLINE void ll_pwr_set_hf_osc_prepare_timing | ( | uint32_t | value | ) |

Set HF OSC prepare timing.

Register|BitsName --------|-------- A_TIMING_CTRL1 | HF_OSC

Parameters

  value | setting value.

Return values

  None |

Definition at line 994 of file ll_pwr.h.

## ◆ ll_pwr_set_pll_lock_timing()

__STATIC_INLINE void ll_pwr_set_pll_lock_timing | ( | uint32_t | value | ) |

Set PLL lock prepare timing.

Register|BitsName --------|-------- A_TIMING_CTRL2 | PLL_LOCK

Parameters

  value | setting value.

Return values

  None |

Definition at line 1009 of file ll_pwr.h.

## ◆ ll_pwr_set_pll_prepare_timing()

__STATIC_INLINE void ll_pwr_set_pll_prepare_timing | ( | uint32_t | value | ) |

Set PLL prepare timing.

Register|BitsName --------|-------- A_TIMING_CTRL2 | PLL

Parameters

  value | setting value.

Return values

  None |

Definition at line 1024 of file ll_pwr.h.

## ◆ ll_pwr_set_pwr_mode()

__STATIC_INLINE void ll_pwr_set_pwr_mode | ( | uint32_t | value | ) |

ll_pwr_set_pwr_mode

Register|BitsName --------|-------- AON_START_CFG | AON_PWR_AON_START_CFG_POWER_MODE

Parameters

  value | setting value.

Return values

  None |

Definition at line 1069 of file ll_pwr.h.

## ◆ ll_pwr_set_pwr_switch_prepare_timing()

__STATIC_INLINE void ll_pwr_set_pwr_switch_prepare_timing | ( | uint32_t | value | ) |

Set power switch prepare timing.

Register|BitsName --------|-------- A_TIMING_CTRL3 | PWR_SWITCH

Parameters

  value | setting value.

Return values

  None |

Definition at line 1039 of file ll_pwr.h.

## ◆ ll_pwr_set_xo_prepare_timing()

__STATIC_INLINE void ll_pwr_set_xo_prepare_timing | ( | uint32_t | value | ) |

Set Set XO prepare timing.

Register|BitsName --------|-------- A_TIMING_CTRL3 | CTRL3_XO

Parameters

  value | setting value.

Return values

  None |

Definition at line 1054 of file ll_pwr.h.

## ◆ ll_pwr_turn_off_enable_xo_pll_after_dcdc_ready()

__STATIC_INLINE void ll_pwr_turn_off_enable_xo_pll_after_dcdc_ready | ( | void |  | ) |

Turn off enable xo/pll in warm boot.

Register|BitsName --------|-------- AON_START_CFG | AON_PWR_AON_START_CFG_XO_EN_PWR | AON_PWR_AON_START_CFG_PLL_EN_PWR

Return values

  None |

Definition at line 1084 of file ll_pwr.h.

## ◆ ll_pwr_turn_on_enable_xo_pll_after_dcdc_ready()

__STATIC_INLINE void ll_pwr_turn_on_enable_xo_pll_after_dcdc_ready | ( | void |  | ) |

Turn on enable xo/pll in srpg.

Register|BitsName --------|-------- AON_START_CFG | AON_PWR_AON_START_CFG_XO_EN_PWR | AON_PWR_AON_START_CFG_PLL_EN_PWR

Return values

  None |

Definition at line 1098 of file ll_pwr.h.